%{!?upstream_version: %global upstream_version %{version}}

Name:           python-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
Version:        2.4.0
Release:        2%{?dist}
Provides:        python2-proliantutils = %{version}-%{release}
License:        ASL 2.0
URL:            https://github.com/openstack/proliantutils

Source0:        https://tarballs.openstack.org/proliantutils/proliantutils-%{upstream_version}.tar.gz

Patch0001: 0001-RHOS-use-internal-gerrit-DROP-IN-RPM.patch
Patch0002: 0002-Retry-power-on-operation-for-Blade-servers.patch
Patch0003: 0003-relax-pbr-requirement-in-setup.py.patch

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python-pbr
Requires: pysnmp
Requires: python-six >= 1.9.0
Requires: python-oslo-concurrency
Requires: python-oslo-utils
Requires: python-jsonschema
Requires: python-requests
Requires: python-retrying

%prep
%autosetup -v -p 1 -n proliantutils-%{upstream_version}

rm -rf *.egg-info

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt tools/{pip,test}-requires

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

%description
Client Library for interfacing with various devices in HP Proliant Servers

%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/proliantutils*
%exclude %{python2_sitelib}/proliantutils/*test*

%changelog
* Tue Jan 30 2018 Steve Linabery <slinaber@redhat.com> 2.4.0-2
- Retry power on operation for Blade servers (rhbz#1534806)
- relax pbr requirement in setup.py

* Thu Aug 17 2017 Steve Linabery <slinaber@redhat.com> 2.4.0-1
- Update to 2.4.0

* Mon Feb 13 2017 Alfredo Moralejo <amoralej@redhat.com> 2.2.0-1
- Update to 2.2.0


